from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware

from ..months import retreive_months
from ..config import config

app = FastAPI()


app.add_middleware(
    CORSMiddleware,
    allow_origins=["http://localhost:8080"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

@app.get("/months")
async def get_months():
    return retreive_months(config["datapath"])
